/**
 * VPN App
 * Defined an App to manage openvpn
 */
var VpnserverApp = VpnserverApp || {};  //Define OpenVPN App namespace.
/**
 * Constructor UNAS App
 */
VpnserverApp.App = function () {
    this.id = 'VPN Server';
    this.name = 'VPN Server';
    this.version = '6.0.9';
    this.active = false;
    this.menuIcon = '/apps/vpnserver/images/logo.png?v=6.0.9&';
    this.shortcutIcon = '/apps/vpnserver/images/logo.png?v=6.0.9&';
    this.entryUrl = "/apps/vpnserver/vpnserver.html?v=6.0.9&"
    var self = this;
    this.VpnserverAppWindow = function () {
        if(UNAS.CheckAppState('VPN Server')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'VpnserverAppWindow',
            title: UNAS._('VPN Server'),
            icon: '/apps/vpnserver/images/logo_small.png?v=6.0.9&',
            loadMethod: 'xhr',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            contentURL: '/apps/vpnserver/vpnserver.html?v=6.0.9&',
            require: {  css: ['/apps/vpnserver/css/vpnserver.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("VPN Server",'VpnserverAppWindow')}
        });
    };
    this.VpnserverUninstall = function (){
        UNAS.RemoveDesktopShortcut('VPN Server');
        UNAS.RemoveMenu('VPN Server');
        UNAS.RemoveAppFromGroups('VPN Server', 'ControlPanel');
        UNAS.RemoveAppFromApps('VPN Server');
    };
    new UNAS.Menu('UNAS_ControlPanel_Network_Menu', this.name, this.menuIcon, 'VPN Server', '', this.VpnserverAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'VPN Server', this.VpnserverAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Network', 'Location' : 1, "Icon": this.shortcutIcon, "Url": this.entryUrl}, {});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('VPN Server', UNAS._('VPN Server')); //translate menu
        UNAS.SetShortcutTitle('VPN Server', UNAS._('VPN Server'));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('VpnserverAppWindow', UNAS._('VPN Server'));
        }
    };
    UNAS.LoadTranslation('/apps/vpnserver/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.VpnserverAppWindow, this.VpnserverUninstall);
};

new VpnserverApp.App();
